/**
 * Copyright 2007-2012 Bull S.A.S.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.ow2.util.maven.plugin.rmic;

import java.io.File;

import org.apache.maven.plugins.annotations.LifecyclePhase;
import org.apache.maven.plugins.annotations.Mojo;
import org.apache.maven.plugins.annotations.Parameter;

/**
 * Maven Rmic Mojo.
 * @author Gael Lalire
 * @since 2.0.0
 */
@Mojo(name = "rmic",
      defaultPhase = LifecyclePhase.PROCESS_CLASSES)
public class RmicMojo extends AbstractRmicMojo {

    /**
     * Ant rmic task param.
     * @since 2.0.0
     */
    @Parameter(defaultValue = "${project.build.outputDirectory}",
               required = true,
               readonly = true)
    private File baseDir;

    /**
     * Return the location to get the compiled files.
     * @return the location to get the compiled files
     */
    @Override
    public File getBaseDir() {
        return baseDir;
    }

    /**
     * @param baseDir the baseDir to set
     */
    public void setBaseDir(final File baseDir) {
        this.baseDir = baseDir;
    }

}
